#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <sys/wait.h>
#include <signal.h>
#include <sys/wait.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
//----------------------------------------------------------
int
main (void)
{
  int pipefd[2];
  pid_t child;
  char buffer;
  char *message =
    "ciao a tutti voi amici vicini e lontani\n";
  int i;
  size_t size;
  ssize_t written;
  // 
  // 
  // 
  if (pipe (pipefd) == -1)
    {
      perror ("pipe");
      exit (EXIT_FAILURE);
    }
  // 
  // 
  // 
  child = fork ();
  if (child == -1)
    {
      perror ("fork");
      exit (EXIT_FAILURE);
    }
  // 
  // 
  // 
  if (child == 0)
    {
      // 
      // This is the child and it have to read the
      // pipe:
      // close the write end of the pipe.
      // 
      close (pipefd[1]);
      // 
      // Read one byte at the time, as long as there
      // is
      // something to read.
      // 
      while (read (pipefd[0], &buffer, 1) > 0)
        {
          write (STDOUT_FILENO, &buffer, 1);
        }
      // 
      // Close the pipe and exit the child.
      // 
      close (pipefd[0]);
      // 
      exit (EXIT_SUCCESS);
    }
  else
    {
      // 
      // This is the parent process, and the read end
      // of
      // pipe is closed.
      // 
      close (pipefd[0]);
      // 
      while (1)
        {
          for (i = 0, written = 0, size =
               strlen (message); i < strlen (message);
               i += written, size -= written)
            {
              written =
                write (pipefd[1], &message[i], size);
              if (written < 0)
                {
                  perror ("pipe");
                  close (pipefd[1]);
                  wait (NULL);  // Wait for child.
                  exit (EXIT_FAILURE);
                }
            }
        }
      close (pipefd[1]);        /* Reader will see EOF */
      wait (NULL);      /* Wait for child */
      exit (EXIT_SUCCESS);
    }
  // 
  return (0);
}
