#include <sys/os32.h>
#include <kernel/fs.h>
#include <kernel/lib_k.h>
//----------------------------------------------------------
void
sb_print (void)
{
  int s;
  // 
  k_printf
    ("     mnt                1st zone max file "
     " inode zone  \n");
  k_printf
    ("dev  dev  inodes blocks dz  size size KiB "
     "blocks blocks\n");
  // 
  for (s = 0; s < SB_MAX_SLOTS; s++)
    {
      if (sb_table[s].device == 0)
        {
          continue;
        }
      k_printf
        ("%04x %04x % 6i % 6i % 3i "
         "% 4i % 8i % 6i % 6i\n",
         sb_table[s].device,
         sb_table[s].inode_mounted_on->sb_attached->device,
         sb_table[s].inodes, sb_table[s].zones,
         sb_table[s].first_data_zone,
         (1024 << sb_table[s].log2_size_zone),
         sb_table[s].max_file_size / 1024,
         sb_table[s].map_inode_blocks,
         sb_table[s].map_zone_blocks);
    }
}
