.global _in_8
#------------------------------------------------------
.section .text
#------------------------------------------------------
# Port input byte.
#------------------------------------------------------
_in_8:
    enter $4, $0                # 1 local variable.
    pushf
    pusha
    .equ IN_PORT,  8            # First argument.
    .equ IN_DATA, -4            # Local variable.
    mov  IN_PORT(%ebp), %edx    # Copy the port number
                                # into EDX, but
                                # then only DX will be
                                # used.
    mov   $0, %eax              # Reset EAX.
    inb   %dx,  %al             # Read DX port  and
                                # save into AL.
    mov   %eax, IN_DATA(%ebp)   # Save EAX inside the
                                # local variable.
    popa
    popf
    mov   IN_DATA(%ebp), %eax   # Restore EAX and
    leave                       # return.
    ret
