#include <kernel/ibm_i386.h>
//----------------------------------------------------------
void
isr_irq_clear_pic2 (void)
{
  // 
  // Send message «EOI» (End of IRQ) to PIC 2.
  // It must be sent after a IRQ number between 8 and
  // 15, but after
  // that, remember that also the PIC 1 must receive
  // an «EOI» message
  // (maybe with the help of `isr_irq_clear_pic1()'
  // function).
  // 
  out_8 ((uint32_t) 0xA0, (uint32_t) 0x20);
}
