#include <arpa/inet.h>
#include <sys/os32.h>
#include <kernel/net/route.h>
#include <errno.h>
#include <netinet/in.h>
//----------------------------------------------------------
void
route_init (void)
{
  // 
  // Reset the table with 0xFF.
  // 
  memset (route_table, 0xFF, sizeof (route_table));
  // 
  // Put the loopback routing.
  // 
  route_table[0].netmask = 0xFF000000;  // Little
  // endian.
  route_table[0].m = 8;
  route_table[0].network =
    INADDR_LOOPBACK & route_table[0].netmask;
  route_table[0].router = 0;
  route_table[0].interface = 0;
}
