#include <kernel/proc.h>
//----------------------------------------------------------
void
proc_sch_signals (void)
{
  pid_t pid;
  // 
  // The PID scan starts from 1: you will not send
  // signals to the
  // kernel!
  // 
  for (pid = 1; pid < PROCESS_MAX; pid++)
    {
      proc_sig_term (pid, SIGHUP);
      proc_sig_term (pid, SIGINT);
      proc_sig_core (pid, SIGQUIT);
      proc_sig_core (pid, SIGILL);
      proc_sig_core (pid, SIGABRT);
      proc_sig_core (pid, SIGFPE);
      proc_sig_term (pid, SIGKILL);
      proc_sig_core (pid, SIGSEGV);
      proc_sig_term (pid, SIGPIPE);
      proc_sig_term (pid, SIGALRM);
      proc_sig_term (pid, SIGTERM);
      proc_sig_term (pid, SIGUSR1);
      proc_sig_term (pid, SIGUSR2);
      proc_sig_chld (pid, SIGCHLD);
      proc_sig_cont (pid, SIGCONT);
      proc_sig_stop (pid, SIGSTOP);
      proc_sig_stop (pid, SIGTSTP);
      proc_sig_stop (pid, SIGTTIN);
      proc_sig_stop (pid, SIGTTOU);
    }
}
