#include <_gcc.h>
//----------------------------------------------------------
// If DIVIDEND and DIVISOR have different sign,
// the QUOTIENT is negative.
//
// The REMINDER has the same sign as the DIVISOR.
//----------------------------------------------------------
lldiv_t
_lldiv (long long int dividend, long long int divisor)
{
  ulldiv_t uresult;
  lldiv_t result;
  // 
  // Check for sign.
  // 
  if (dividend >= 0 && divisor >= 0)
    {
      uresult = _ulldiv ((unsigned long long) dividend,
                         (unsigned long long) divisor);
      result.quot = uresult.quot;
      result.rem = uresult.rem;
    }
  else if (dividend < 0 && divisor < 0)
    {
      uresult =
        _ulldiv ((unsigned long long) -dividend,
                 (unsigned long long) -divisor);
      result.quot = uresult.quot;
      result.rem = -uresult.rem;
    }
  else if (dividend < 0 && divisor >= 0)
    {
      uresult =
        _ulldiv ((unsigned long long) -dividend,
                 (unsigned long long) divisor);
      result.quot = -uresult.quot;
      result.rem = uresult.rem;
    }
  else if (dividend >= 0 && divisor < 0)
    {
      uresult = _ulldiv ((unsigned long long) dividend,
                         (unsigned long long) -divisor);
      result.quot = uresult.quot;
      result.rem = -uresult.rem;
    }
  // 
  return (result);
}
