#include <fcntl.h>
#include <stdarg.h>
#include <stddef.h>
#include <string.h>
#include <errno.h>
#include <sys/os32.h>
#include <limits.h>
//----------------------------------------------------------
int
open (const char *path, int oflags, ...)
{
  va_list ap;
  sysmsg_open_t msg;
  va_start (ap, oflags);
  msg.path = path;
  msg.flags = oflags;
  msg.mode = va_arg (ap, mode_t);
  sys (SYS_OPEN, &msg, (sizeof msg));
  errno = msg.errno;
  errln = msg.errln;
  strncpy (errfn, msg.errfn, PATH_MAX);
  return (msg.ret);
}
