#include <sys/os32.h>
#include <sys/types.h>
#include <signal.h>
#include <errno.h>
#include <string.h>
//----------------------------------------------------------
sighandler_t
signal (int sig, sighandler_t handler)
{
  sysmsg_signal_t msg;

  msg.signal = sig;
  msg.handler = handler;
  msg.wrapper = (uintptr_t) _sighandler_wrapper;
  msg.ret = SIG_DFL;
  msg.errno = 0;
  sys (SYS_SIGNAL, &msg, (sizeof msg));
  errno = msg.errno;
  errln = msg.errln;
  strncpy (errfn, msg.errfn, PATH_MAX);
  return (msg.ret);
}
