#include <stdio.h>
#include <sys/types.h>
#include <unistd.h>
#include <stddef.h>
//----------------------------------------------------------
char *
fgets (char *restrict string, int n, FILE * restrict fp)
{
  ssize_t size_read;
  int b;        // Index inside the string buffer.
  // 
  for (b = 0; b < (n - 1); b++, string[b] = 0)
    {
      size_read = read (fp->fdn, &string[b], (size_t) 1);
      // 
      if (size_read <= 0)
        {
          // 
          // It is the end of file (zero) otherwise
          // there is a
          // problem (a negative value).
          // 
          string[b] = 0;
          break;
        }
      // 
      if (string[b] == '\n')
        {
          b++;
          string[b] = 0;
          break;
        }
    }
  // 
  // If `b` is zero, nothing was read and `NULL' is
  // returned.
  // 
  if (b == 0)
    {
      return (NULL);
    }
  else
    {
      return (string);
    }
}
