#include <unistd.h>
#include <stdio.h>
//----------------------------------------------------------
size_t
fwrite (const void *restrict buffer, size_t size,
        size_t nmemb, FILE * restrict fp)
{
  ssize_t size_written;
  size_written =
    write (fp->fdn, buffer, (size_t) (size * nmemb));
  if (size_written < 0)
    {
      fp->error = 1;
      return ((size_t) 0);
    }
  else
    {
      return ((size_t) (size_written / size));
    }
}
