#include <stdlib.h>
//----------------------------------------------------------
atexit_t _atexit_table[ATEXIT_MAX];
//----------------------------------------------------------
void
_atexit_setup (void)
{
  int a;
  // 
  for (a = 0; a < ATEXIT_MAX; a++)
    {
      _atexit_table[a] = NULL;
    }
}

//----------------------------------------------------------
int
atexit (atexit_t function)
{
  int a;
  // 
  if (function == NULL)
    {
      return (-1);
    }
  // 
  for (a = 0; a < ATEXIT_MAX; a++)
    {
      if (_atexit_table[a] == NULL)
        {
          _atexit_table[a] = function;
          return (0);
        }
    }
  // 
  return (-1);
}
