#include <string.h>
//----------------------------------------------------------
void *
memccpy (void *restrict dst, const void *restrict org,
         int c, size_t n)
{
  char *d = (char *) dst;
  char *o = (char *) org;
  size_t i;
  for (i = 0; n > 0 && i < n; i++)
    {
      d[i] = o[i];
      if (d[i] == (char) c)
        {
          return ((void *) &d[i + 1]);
        }
    }
  return (NULL);
}
