#include <string.h>
#include <stdlib.h>
#include <errno.h>
//----------------------------------------------------------
char *
strdup (const char *string)
{
  size_t size;
  char *copy;
  // 
  // Get string size: must be added 1, to count the
  // termination null
  // character.
  // 
  size = strlen (string) + 1;
  // 
  copy = malloc (size);
  // 
  if (copy == NULL)
    {
      errset (ENOMEM);  // Not enough memory.
      return (NULL);
    }
  // 
  strcpy (copy, string);
  // 
  return (copy);
}
