#include <sys/os32.h>
#include <errno.h>
#include <string.h>
#include <stdio.h>
//----------------------------------------------------------
int
ipconfig (int n, in_addr_t address, int m)
{
  sysmsg_ipconfig_t msg;
  // 
  // Fill the message.
  // 
  msg.n = n;
  msg.address = address;
  msg.m = m;
  msg.ret = 0;
  // 
  // Syscall.
  // 
  sys (SYS_IPCONFIG, &msg, (sizeof msg));
  // 
  // Check return value.
  // 
  if (msg.ret < 0)
    {
      // 
      // Something wrong.
      // 
      errno = msg.errno;
      errln = msg.errln;
      strncpy (errfn, msg.errfn, PATH_MAX);
    }
  // 
  // Return.
  // 
  return (msg.ret);
}
