#include <sys/os32.h>
#include <errno.h>
#include <string.h>
#include <stdio.h>
//----------------------------------------------------------
int
routeadd (in_addr_t destination, int m,
          in_addr_t router, int device)
{
  sysmsg_route_t msg;
  // 
  // Fill the message.
  // 
  msg.destination = destination;
  msg.m = m;
  msg.router = router;
  msg.device = device;
  // 
  // Syscall.
  // 
  sys (SYS_ROUTEADD, &msg, (sizeof msg));
  // 
  // Check return value.
  // 
  if (msg.ret < 0)
    {
      // 
      // Something wrong.
      // 
      errno = msg.errno;
      errln = msg.errln;
      strncpy (errfn, msg.errfn, PATH_MAX);
    }
  // 
  // Return.
  // 
  return (msg.ret);
}
