#include <unistd.h>
#include <string.h>
#include <sys/os32.h>
#include <errno.h>
#include <limits.h>
//----------------------------------------------------------
int
pipe (int pipefd[2])
{
  sysmsg_pipe_t msg;
  // 
  if (pipefd == NULL)
    {
      errset (EINVAL);
      return (-1);
    }
  // 
  sys (SYS_PIPE, &msg, (sizeof msg));
  // 
  errno = msg.errno;
  errln = msg.errln;
  // 
  pipefd[0] = msg.pipefd[0];
  pipefd[1] = msg.pipefd[1];
  // 
  return (msg.ret);
}
