#include <stdio.h>
#include <grp.h>
#include <pwd.h>
#include <unistd.h>
#include <stdlib.h>
#include <sys/wait.h>
#include <signal.h>
#include <sys/wait.h>
#include <string.h>
#include <fcntl.h>
#include <sys/stat.h>
//----------------------------------------------------------
int
main (void)
{
  struct passwd *pw;
  struct group *gr;
  int i;

  pw = getpwuid ((uid_t) 1001);

  if (pw == NULL)
    {
      perror (NULL);
      exit (0);
    }

  printf ("%s:%s:%i:%i:\n", pw->pw_name, pw->pw_passwd,
          pw->pw_uid, pw->pw_gid);

  gr = getgrgid ((gid_t) 233);

  if (gr == NULL)
    {
      perror (NULL);
      exit (0);
    }

  printf ("%s:%s:%i:", gr->gr_name, gr->gr_passwd,
          gr->gr_gid);
  for (i = 0; i < 32 && gr->gr_mem[i] != NULL; i++)
    {
      printf ("%s,", gr->gr_mem[i]);
    }

  return (0);
}
