#include <sys/stat.h>
#include <sys/types.h>
#include <unistd.h>
#include <stdlib.h>
#include <fcntl.h>
#include <errno.h>
#include <signal.h>
#include <stdio.h>
#include <string.h>
#include <limits.h>
#include <libgen.h>
#include <arpa/inet.h>
#include <sys/socket.h>
#include <stdint.h>
#include <stdbool.h>
#include <fcntl.h>

char buffer[BUFSIZ];

//----------------------------------------------------------
int
main (int argc, char *argv[], char *envp[])
{
  int status;
  ssize_t read_size;


  // 
  // Define the standard input non blocking.
  // 
  status = fcntl (STDIN_FILENO, F_SETFL, O_NONBLOCK);
  if (status < 0)
    {
      perror (NULL);
      return (2);
    }


  read_size = read (STDIN_FILENO, buffer, BUFSIZ);
  if (read_size < 0)
    {
      if (errno == EAGAIN || errno == EWOULDBLOCK)
        {
          printf ("nulla da leggere per ora\n");
        }
      else
        {
          perror (NULL);
          return (0);
        }
    }
  else
    {
      buffer[read_size] = 0;
      printf ("letto: %s\n", buffer);
    }
  printf ("finito\n");
  return (0);
}
