#ifndef _KERNEL_DRIVER_KBD_H
#define _KERNEL_DRIVER_KBD_H     1
//----------------------------------------------------------
#include <stdbool.h>
//----------------------------------------------------------
//
// Keyboard status.
//
typedef struct
{
  bool shift;
  bool shift_lock;
  bool ctrl;
  bool alt;
  bool echo;
  unsigned char key;
  unsigned char map1[128];
  unsigned char map2[128];
} kbd_t;
//
extern kbd_t kbd;
//----------------------------------------------------------
void kbd_load (void);
void kbd_isr (void);
//----------------------------------------------------------
#endif
