#include <kernel/driver/screen.h>
#include <errno.h>
//----------------------------------------------------------
screen_t *
screen_pointer (int scrn)
{
  if (scrn >= 0 && scrn < SCREEN_MAX)
    {
      return &screen_table[scrn];
    }
  else
    {
      errset (EINVAL);
      return (NULL);
    }
}
