#include <sys/os32.h>
#include <kernel/driver/tty.h>
#include <kernel/driver/screen.h>
//----------------------------------------------------------
void
tty_write (dev_t device, int c)
{
  screen_t *screen;
  // 
  if ((device & 0xFF00) == (DEV_CONSOLE_MAJOR << 8))
    {
      // 
      // Get screen pointer.
      // 
      screen = screen_pointer ((int) (device & 0x00FF));
      // 
      screen_putc (screen, c);
    }
}
