#include <kernel/fs.h>
#include <errno.h>
#include <fcntl.h>
//----------------------------------------------------------
h_port_t
sock_free_port (void)
{
  int skn;
  h_port_t lport;
  // 
  for (lport = 0xFFFF; lport >= 1024; lport--)
    {
      for (skn = 0; skn < SOCK_MAX_SLOTS; skn++)
        {
          if (sock_table[skn].lport == lport)
            {
              // 
              // The port is used.
              // 
              break;
            }
        }
      if (sock_table[skn].lport != lport)
        {
          // 
          // The port is new.
          // 
          return (lport);
        }
    }
  // 
  // If we are here, no free port was found.
  // 
  return ((h_port_t) 0);
}
