#include <kernel/fs.h>
#include <errno.h>
#include <fcntl.h>
//----------------------------------------------------------
sock_t *
sock_reference (int skn)
{
  // 
  // Check type of request.
  // 
  if (skn < 0)
    {
      // 
      // Find a free slot.
      // 
      for (skn = 0; skn < SOCK_MAX_SLOTS; skn++)
        {
          if (sock_table[skn].active == 0)
            {
              return (&sock_table[skn]);
            }
        }
      return (NULL);
    }
  else if (skn > SOCK_MAX_SLOTS)
    {
      return (NULL);
    }
  else
    {
      return (&sock_table[skn]);
    }
}
