#include <kernel/ibm_i386.h>
//----------------------------------------------------------
void
isr_irq_clear (uint32_t idtn)
{
  int irq = idtn - 32;
  // 
  // Must tell the PIC (programmable interrupt
  // controller).
  // 
  // If the IRQ number is between 8 and 15, send
  // message «EOI»
  // (End of IRQ) to PIC 2.
  // 
  if (irq >= 8)
    {
      out_8 (0xA0, 0x20);
    }
  // 
  // Then send message «EOI» to PIC 1.
  // 
  out_8 (0x20, 0x20);
}
