#include <sys/os32.h>
#include <kernel/net.h>
#include <errno.h>
#include <stdint.h>
#include <arpa/inet.h>
//----------------------------------------------------------
int
net_index (h_addr_t ip)
{
  // 
  int n;
  // 
  // By IPv4 address.
  // 
  if (ip != 0)
    {
      for (n = 0; n < NET_MAX_DEVICES; n++)
        {
          if (net_table[n].ip == ip)
            {
              return (n);
            }
        }
    }
  // 
  // Not found!
  // 
  errset (ENODEV);
  return (-1);
}
