#include <kernel/proc.h>
//----------------------------------------------------------
void
proc_sig_cont (pid_t pid, int sig)
{
  // 
  // The value for argument `sig' should be SIGCONT.
  // 
  if (proc_sig_status (pid, sig))
    {
      if (proc_sig_ignore (pid, sig))
        {
          proc_sig_off (pid, sig);
        }
      else
        {
          if (proc_table[pid].sig_handler[sig] !=
              (uintptr_t) NULL)
            {
              proc_sig_handler (pid, sig);
            }
          else
            {
              proc_table[pid].status = PROC_READY;
              proc_sig_off (pid, sig);
            }
        }
    }
}
