#include <kernel/proc.h>
//----------------------------------------------------------
void
proc_wakeup_pipe_read (inode_t * inode)
{
  pid_t pid;

  for (pid = 1; pid < PROCESS_MAX; pid++)
    {
      if ((proc_table[pid].status == PROC_SLEEPING)
          && (proc_table[pid].wakeup_events
              & WAKEUP_EVENT_PIPE_READ)
          && (proc_table[pid].wakeup_inode == inode))
        {
          proc_table[pid].wakeup_events = 0;
          proc_table[pid].wakeup_inode = NULL;
          proc_table[pid].status = PROC_READY;
        }
    }
}
