#ifndef _ARPA_INET_H
#define _ARPA_INET_H       1
//----------------------------------------------------------
#include <stdint.h>
#include <sys/socklen_t.h>
//----------------------------------------------------------
uint32_t htonl (uint32_t host32);
uint16_t htons (uint16_t host16);
uint32_t ntohl (uint32_t net32);
uint16_t ntohs (uint16_t net16);
//----------------------------------------------------------
const char *inet_ntop (int family, const void *src,
                       char *dst, socklen_t size);
int inet_pton (int family, const char *src, void *dst);
//----------------------------------------------------------
#endif
