#include <arpa/inet.h>
//----------------------------------------------------------
uint32_t
ntohl (uint32_t net32)
{
  uint8_t *orig = (void *) &net32;
  union
  {
    uint32_t value;
    uint8_t b[4];
  } dest;
  // 
  // Convert: must revert byte order.
  // 
  dest.b[0] = orig[3];
  dest.b[1] = orig[2];
  dest.b[2] = orig[1];
  dest.b[3] = orig[0];
  // 
  return (dest.value);
}
