#include <dirent.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <errno.h>
#include <stddef.h>
#include <stdio.h>
//----------------------------------------------------------
void
rewinddir (DIR * dp)
{
  FILE *fp;
  // 
  // Check for a valid argument.
  // 
  if (dp == NULL)
    {
      // 
      // Nothing to rewind, and no error to set.
      // 
      return;
    }
  // 
  // Check if it is an open directory stream.
  // 
  if (dp->fdn < 0)
    {
      // 
      // The stream is closed.
      // Nothing to rewind, and no error to set.
      // 
      return;
    }
  // 
  // 
  // 
  fp = &_stream[dp->fdn];
  // 
  rewind (fp);
}
