#ifndef _GRP_H
#define _GRP_H        1
//----------------------------------------------------------
#include <restrict.h>
#include <sys/types.h>  // gid_t, uid_t
//----------------------------------------------------------
#define GR_MEM_MAX 32
struct group
{
  char *gr_name;
  char *gr_passwd;
  gid_t gr_gid;
  char *gr_mem[GR_MEM_MAX];
};
//----------------------------------------------------------
struct group *getgrent (void);
void setgrent (void);
void endgrent (void);
struct group *getgrnam (const char *name);
struct group *getgrgid (gid_t gid);
//----------------------------------------------------------
#endif
