#ifndef _PWD_H
#define _PWD_H        1
//----------------------------------------------------------
#include <restrict.h>
#include <sys/types.h>  // gid_t, uid_t
//----------------------------------------------------------
struct passwd
{
  char *pw_name;
  char *pw_passwd;
  uid_t pw_uid;
  gid_t pw_gid;
  char *pw_gecos;
  char *pw_dir;
  char *pw_shell;
};
//----------------------------------------------------------
struct passwd *getpwent (void);
void setpwent (void);
void endpwent (void);
struct passwd *getpwnam (const char *name);
struct passwd *getpwuid (uid_t uid);
//----------------------------------------------------------

#endif
