#ifndef _SETJMP_H
#define _SETJMP_H       1
//----------------------------------------------------------
#include <sys/os32.h>
#include <NULL.h>
//----------------------------------------------------------
typedef struct
{
  uint32_t eax0;
  uint32_t ecx0;
  uint32_t edx0;
  uint32_t ebx0;
  uint32_t ebp0;
  uint32_t esi0;
  uint32_t edi0;
  uint32_t ds0;
  uint32_t es0;
  uint32_t fs0;
  uint32_t gs0;
  uint32_t eip0;
  uint32_t cs0;
  uint32_t eflags0;
  // 
  uint32_t eip1;
  uint32_t syscallnr;
  uint32_t msg_pointer;
  uint32_t msg_size;
  // 
  uint32_t env;
  uint32_t ret;
  uint32_t ebp1;
  uint32_t eip2;
  // 
} jmp_stack_t;

typedef struct
{
  uint32_t esp0;
  uint32_t eax0;
  uint32_t ecx0;
  uint32_t edx0;
  uint32_t ebx0;
  uint32_t ebp0;
  uint32_t esi0;
  uint32_t edi0;
  uint32_t ds0;
  uint32_t es0;
  uint32_t fs0;
  uint32_t gs0;
  uint32_t eip0;
  uint32_t cs0;
  uint32_t eflags0;
  // 
  uint32_t eip1;
  uint32_t syscallnr;
  uint32_t msg_pointer;
  uint32_t msg_size;
  // 
  uint32_t env;
  uint32_t ret;
  uint32_t ebp1;
  uint32_t eip2;
  // 
} jmp_env_t;
//
typedef char jmp_buf[sizeof (jmp_env_t)];
//----------------------------------------------------------
int setjmp (jmp_buf env);
void longjmp (jmp_buf env, int val);
//----------------------------------------------------------
#endif
