#ifndef _STRING_H
#define _STRING_H       1
//----------------------------------------------------------
#include <size_t.h>
#include <NULL.h>
#include <restrict.h>
//----------------------------------------------------------
void *memccpy (void *restrict dst,
               const void *restrict org, int c, size_t n);
void *memchr (const void *memory, int c, size_t n);
int memcmp (const void *memory1, const void *memory2,
            size_t n);
void *memcpy (void *restrict dst,
              const void *restrict org, size_t n);
void *memmove (void *dst, const void *org, size_t n);
void *memset (void *memory, int c, size_t n);
char *strcat (char *restrict dst, const char *restrict org);
char *strchr (const char *string, int c);
int strcmp (const char *string1, const char *string2);
int strcoll (const char *string1, const char *string2);
char *strcpy (char *restrict dst, const char *restrict org);
size_t strcspn (const char *string, const char *reject);
char *strdup (const char *string);
char *strerror (int errnum);
size_t strlen (const char *string);
char *strncat (char *restrict dst,
               const char *restrict org, size_t n);
int strncmp (const char *string1, const char *string2,
             size_t n);
char *strncpy (char *restrict dst,
               const char *restrict org, size_t n);
char *strpbrk (const char *string, const char *accept);
char *strrchr (const char *string, int c);
size_t strspn (const char *string, const char *accept);
char *strstr (const char *string, const char *substring);
char *strtok (char *restrict string,
              const char *restrict delim);
size_t strxfrm (char *restrict dst,
                const char *restrict org, size_t n);
//----------------------------------------------------------

#endif
