#ifndef _SYS_TYPES_H
#define _SYS_TYPES_H    1
//----------------------------------------------------------
#include <clock_t.h>
#include <time_t.h>
#include <size_t.h>
//----------------------------------------------------------
typedef long int blkcnt_t;
typedef long int blksize_t;
typedef uint16_t dev_t; // Traditional device size.
typedef unsigned int id_t;
typedef unsigned int gid_t;
typedef unsigned int uid_t;
typedef uint16_t ino_t; // Minix 1 file system inode
                        // size.
typedef uint16_t mode_t;        // Minix 1 file system 
                                // mode size.
typedef unsigned int nlink_t;
typedef long long int off_t;
typedef int pid_t;
typedef unsigned long int pthread_t;
typedef int ssize_t;
//----------------------------------------------------------
// Common extentions.
//
dev_t makedev (int major, int minor);
int major (dev_t device);
int minor (dev_t device);
//----------------------------------------------------------
#endif
