#include <unistd.h>
#include <sys/types.h>
#include <sys/os32.h>
#include <errno.h>
#include <time.h>
//----------------------------------------------------------
unsigned int
sleep (unsigned int seconds)
{
  sysmsg_sleep_t msg;
  time_t start;
  time_t end;
  int slept;
  // 
  if (seconds == 0)
    {
      return (0);
    }
  // 
  msg.events = WAKEUP_EVENT_TIMER;
  msg.seconds = seconds;
  sys (SYS_SLEEP, &msg, (sizeof msg));
  start = msg.ret;
  end = time (NULL);
  slept = end - msg.ret;
  // 
  if (slept < 0)
    {
      return (seconds);
    }
  else if (slept < seconds)
    {
      return (seconds - slept);
    }
  else
    {
      return (0);
    }
}
